# Generated by rust2rpm 22
%bcond_without check

%global crate ssh-key-dir

Name:           rust-%{crate}
Version:        0.1.4
Release:        7%{?dist}
Summary:        sshd AuthorizedKeysCommand to read ~/.ssh/authorized_keys.d

License:        Apache-2.0
URL:            https://crates.io/crates/ssh-key-dir
Source0:        %{crates_source}
# not used on Fedora
Source1:        https://github.com/coreos/%{crate}/releases/download/v%{version}/%{crate}-%{version}-vendor.tar.gz

ExclusiveArch:  %{rust_arches}

%if 0%{?rhel}
BuildRequires:  rust-toolset
%else
BuildRequires:  rust-packaging >= 21
%endif

%global _description %{expand:
sshd AuthorizedKeysCommand to read key files from ~/.ssh/authorized_keys.d.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 
# MIT
# Apache-2.0 OR MIT
License:          (Apache-2.0 OR MIT) AND Apache-2.0 AND MIT
Requires:         openssh-server
Requires(post):   openssh-server
Requires(post):   systemd
Requires(postun): openssh-server
Requires(postun): systemd

%description -n %{crate} %{_description}

%files       -n %{crate}
%{_libexecdir}/ssh-key-dir
%config(noreplace) %{_sysconfdir}/ssh/sshd_config.d/40-ssh-key-dir.conf
%license LICENSE
%license LICENSE.dependencies
%if 0%{?rhel}
%license cargo-vendor.txt
%endif
%doc README.md

%post        -n %{crate}
/usr/bin/systemctl try-reload-or-restart sshd.service

%postun      -n %{crate}
if [ $1 == 0 ] ; then
    /usr/bin/systemctl try-reload-or-restart sshd.service
fi

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1 %{?rhel:-a1}
%if 0%{?rhel}
%cargo_prep -v vendor
%else
%cargo_prep
%endif

%if !0%{?rhel}
%generate_buildrequires
%cargo_generate_buildrequires
%endif

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies
%if 0%{?rhel}
%cargo_vendor_manifest
%endif

%install
%if 0%{?rhel}
%make_install INSTALL="install -p -c"
%else
%cargo_install
mv %{buildroot}%{_bindir} %{buildroot}%{_libexecdir}
install -Dpm0644 -t %{buildroot}%{_sysconfdir}/ssh/sshd_config.d conf/40-ssh-key-dir.conf
%endif

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Feb 02 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 0.1.4-7
- Update Rust macro usage

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 24 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 0.1.4-5
- Use vendored dependencies in ELN builds

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Feb 05 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.4-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros.

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 14 2022 Steven Presti <spresti@redhat.com> - 0.1.4-1
- New release
- Regenerate with rust2rpm 22

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.3-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Jan 18 2022 Benjamin Gilbert <bgilbert@redhat.com> - 0.1.3-1
- New release

* Fri Jan 14 2022 Sohan Kunkerkar <skunkerk@redhat.com> - 0.1.2-9
- Vendor rust dependencies on el9

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:32:56 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.2-6
- Rebuild

* Sun Aug 16 15:01:47 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.2-5
- Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 26 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.1.2-2
- Fixup license

* Fri Jun 26 2020 Benjamin Gilbert <bgilbert@redhat.com> - 0.1.2-1
- New release

* Wed Jun 17 2020 Benjamin Gilbert <bgilbert@redhat.com> - 0.1.1-1
- Initial package
